summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Spycrowsoft <spycrowsoft [ at ] gmail [ dot ] com>2020-05-15 23:30:32 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-16 08:44:13 +0700
commit7d7c247e2f11aa57b45288897f2d040aa5b3c706 (patch)
tree2d00bbabb9bd47d3f51e4a137ce952c65c239bcc /misc
parent0d85ab9558a326a4258527d5a168aceb0ed9140f (diff)
downloadslackbuilds-7d7c247e2f11aa57b45288897f2d040aa5b3c706.tar.gz
slackbuilds-7d7c247e2f11aa57b45288897f2d040aa5b3c706.tar.xz
misc/yubioath-desktop: Added (Yubico Authenticator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/yubioath-desktop/README4
-rw-r--r--misc/yubioath-desktop/slack-desc19
-rw-r--r--misc/yubioath-desktop/yubioath-desktop.SlackBuild92
-rw-r--r--misc/yubioath-desktop/yubioath-desktop.info10
4 files changed, 125 insertions, 0 deletions
diff --git a/misc/yubioath-desktop/README b/misc/yubioath-desktop/README
new file mode 100644
index 0000000000..015a3db1eb
--- /dev/null
+++ b/misc/yubioath-desktop/README
@@ -0,0 +1,4 @@
+Yubico Authenticator adds a layer of security for online accounts
+
+It allows you to generate rfc6238 compatible 2-factor one-time
+passwords for which the secrets can be stored on a yubikey.
diff --git a/misc/yubioath-desktop/slack-desc b/misc/yubioath-desktop/slack-desc
new file mode 100644
index 0000000000..97e8f821cd
--- /dev/null
+++ b/misc/yubioath-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yubioath-desktop: yubioath-desktop (Yubico Authenticator)
+yubioath-desktop:
+yubioath-desktop: Yubico Authenticator adds a layer of security for online accounts.
+yubioath-desktop:
+yubioath-desktop: It allows you to generate rfc6238 compatible 2-factor one-time
+yubioath-desktop: passwords for which the secrets can be stored on a yubikey.
+yubioath-desktop:
+yubioath-desktop:
+yubioath-desktop:
+yubioath-desktop:
+yubioath-desktop:
diff --git a/misc/yubioath-desktop/yubioath-desktop.SlackBuild b/misc/yubioath-desktop/yubioath-desktop.SlackBuild
new file mode 100644
index 0000000000..bae83f2e96
--- /dev/null
+++ b/misc/yubioath-desktop/yubioath-desktop.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for yubioath-desktop
+
+# Copyright 2020 Spycrowsoft The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yubioath-desktop
+VERSION=${VERSION:-5.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# Make the Appimage executable
+chmod 755 $CWD/$PRGNAM-$VERSION-linux.AppImage
+
+# Get appimage mount offset
+MOUNT_OFFSET=`$CWD/$PRGNAM-$VERSION-linux.AppImage --appimage-offset`
+
+# Mount the appimage so we can extract the .desktop and icon files.
+mkdir $PRGNAM-$VERSION
+mount -o loop -o offset=$MOUNT_OFFSET $CWD/$PRGNAM-$VERSION-linux.AppImage $TMP/$PRGNAM-$VERSION
+
+# Add .desktop and icon to KDE/XFCE-menus
+mkdir -p $PKG/usr/share/applications/ $PKG/usr/share/pixmaps/
+cp $PRGNAM-$VERSION/com.yubico.yubioath.desktop ${PKG}/usr/share/applications/${PRGNAM}.desktop
+cp $PRGNAM-$VERSION/com.yubico.yubioath.svg ${PKG}/usr/share/pixmaps/com.yubico.yubioath.svg
+
+# Unmount appimage
+umount $TMP/$PRGNAM-$VERSION
+rmdir $TMP/$PRGNAM-$VERSION
+
+# Copy appimage to package-location
+mkdir -p $PKG/usr/bin/
+cp $CWD/$PRGNAM-$VERSION-linux.AppImage $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/yubioath-desktop/yubioath-desktop.info b/misc/yubioath-desktop/yubioath-desktop.info
new file mode 100644
index 0000000000..169786e722
--- /dev/null
+++ b/misc/yubioath-desktop/yubioath-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="yubioath-desktop"
+VERSION="5.0.3"
+HOMEPAGE="https://www.yubico.com/products/services-software/download/yubico-authenticator/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://developers.yubico.com/yubioath-desktop/Releases/yubioath-desktop-5.0.3-linux.AppImage"
+MD5SUM_x86_64="89a8971bfb32ec526c2a901a0f6e1d9a"
+REQUIRES=""
+MAINTAINER="Spycrowsoft"
+EMAIL="spycrowsoft [ at ] gmail [ dot ] com"